Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.aspects.server
Class SignOutInterceptor

    java.lang.Object
      org.jboss.portal.server.ServerInterceptor
          org.jboss.portal.server.aspects.server.SignOutInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

    public class SignOutInterceptor

extends ServerInterceptor

This interceptor implementation is used to keep track of all webapp the current user has used during its portal session. When the invocation is tagged for a signout then it performs an additional task of invalidating the sessions of the webapp that have been collected during the portal session as well as invalidating the current portal session.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `SignOutInterceptor.Invalidation`

Constructor Summary
`SignOutInterceptor()`

Method Summary
`org.jboss.portal.web.ServletContainerFactory` | `getServletContainerFactory()`
`static java.util.Set` | `getSet()`
`protected void` | `invoke(ServerInvocation invocation)`
`void` | `setServletContainerFactory(org.jboss.portal.web.ServletContainerFactory servletContainerFactory)`

Methods inherited from class org.jboss.portal.server.ServerInterceptor
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignOutInterceptor

    public SignOutInterceptor()

Method Detail

### getSet

    public static java.util.Set getSet()

### getServletContainerFactory

    public org.jboss.portal.web.ServletContainerFactory getServletContainerFactory()

### setServletContainerFactory

    public void setServletContainerFactory(org.jboss.portal.web.ServletContainerFactory servletContainerFactory)

### invoke

    protected void invoke(ServerInvocation invocation)
                   throws java.lang.Exception,
                          org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in class `ServerInterceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD